import { wxdecoderClass } from './libvbar-m-dxwxdecoder.so'

const wxdecoderObj = new wxdecoderClass();

const wxdecoder = {

	/**
	 * Micro-decoding
	 * @returns Decoded content
	 */
	decoder(qrcode, pubkey, tkey, infoset, now) {
		return wxdecoderObj.decoder(qrcode, pubkey, tkey, infoset, now);
	}
}

export default wxdecoder;